Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.similarities
Class BasicModelBE

    java.lang.Object
      org.apache.lucene.search.similarities.BasicModel
          org.apache.lucene.search.similarities.BasicModelBE

    public class BasicModelBE

extends BasicModel

Limiting form of the Bose-Einstein model. The formula used in Lucene differs slightly from the one in the original paper: `F` is increased by `tfn+1` and `N` is increased by `F`

WARNING: This API is experimental and might change in incompatible ways in the next release.
  NOTE: in some corner cases this model may give poor performance with Normalizations that return large values for `tfn` such as NormalizationH3. Consider using the geometric approximation (`BasicModelG`) instead, which provides the same relevance but with less practical problems.

Constructor Summary
`BasicModelBE()` Sole constructor: parameter-free

Method Summary
`float` | `score(BasicStats stats, float tfn)` Returns the informative content score.
`String` | `toString()` Subclasses must override this method to return the code of the basic model formula.

Methods inherited from class org.apache.lucene.search.similarities.BasicModel
`explain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicModelBE

    public BasicModelBE()

  Sole constructor: parameter-free

Method Detail

### score

    public final float score(BasicStats stats,
                             float tfn)

  Description copied from class: `BasicModel`
  Returns the informative content score.

  Specified by:
    `score` in class `BasicModel`

### toString

    public String toString()

  Description copied from class: `BasicModel`
  Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.

  Specified by:
    `toString` in class `BasicModel`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.